<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="text()" />

<xsl:template match="div[@class='insert clip-container wide']/table/tr/td[2]">
  <xsl:choose>
    <xsl:when test="div/ul">
      <!-- Program links -->
      <xsl:apply-templates select="div/ul/li"/>
    </xsl:when>
    <xsl:otherwise>
      <!-- No results. Show error message. -->
      <textarea>
        <label>
          <xsl:value-of select="p"/>
        </label>
      </textarea>
    </xsl:otherwise>
  </xsl:choose>

  <!-- paging links -->
  <xsl:apply-templates select="div[@class='paging'][1]/div/a"/>
</xsl:template>

<xsl:template match="div/ul/li">
  <xsl:variable name="clipType">
    <xsl:if test="span[@class='clip-info type audio']">
      <xsl:text> (radio)</xsl:text>
    </xsl:if>
  </xsl:variable>

  <link>
    <label><xsl:value-of select="span[@class='clip-info title']/a"/>, <xsl:value-of select="span[@class='clip-info link-to-media']/a"/><xsl:value-of select="$clipType"/></label>
    <ref template="description"><xsl:value-of select="span[@class='clip-info title']/a/@href"/></ref>
    <object template="video"><xsl:value-of select="concat(span[@class='clip-info title']/a/@href, '&amp;quality=hi')"/></object>
  </link>
</xsl:template>

<xsl:template match="div[@class='paging'][1]/div/a[@class='next']|div[@class='paging'][1]/div/a[@class='previous']">
  <link>
    <label><xsl:value-of select="." /></label>
    <ref template="navigation"><xsl:value-of select="@href"/></ref>
  </link>
</xsl:template>

<xsl:template match="/">
<wvmenu>
  <title><xsl:value-of select="//h1"/></title>

  <xsl:apply-templates select="//div[@class='insert clip-container wide']"/>
</wvmenu>
</xsl:template>

</xsl:stylesheet>
