<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<wvmenu>
  <title>
    <xsl:choose>
      <xsl:when test="//span[@class='search-query']">
	<!-- Search results page -->
	<xsl:text>Search results for </xsl:text>
        <xsl:value-of select="normalize-space(//span[@class='search-query'])" />
      </xsl:when>
      <xsl:otherwise>
	<!-- Normal navigation page -->
	<xsl:value-of select="/html/head/title"/>
      </xsl:otherwise>
    </xsl:choose>
  </title>

  <xsl:choose>
    <xsl:when test="id('video_grid')">
      <xsl:if test="//div[@class='video-alt-query']">
	<!-- No results for X. Showing results for Y. -->
        <textarea>
          <label><xsl:value-of select="id('video_grid')/div[1]"/><xsl:text>
</xsl:text>
            <xsl:value-of select="//div[@class='video-alt-query']"/>
          </label>
        </textarea>
      </xsl:if>

      <!-- Video links -->
      <xsl:for-each select="//div[@class='video-long-title']|//div[@class='movie-short-title']">
        <link>
          <label><xsl:value-of select="a/@title"/></label>
          <object template="video"><xsl:value-of select="a/@href"/></object>
          <ref template="description"><xsl:value-of select="a/@href"/></ref>
        </link>
      </xsl:for-each>

      <xsl:for-each select="//div[@class='pagingDiv']/a">
        <!-- Skip the numeric links and show only the non-numeric Next and
	     Previous. -->
        <xsl:if test="string(number(.)) = 'NaN'">
          <link>
            <label><xsl:value-of select="normalize-space(.)"/></label>
            <ref template="navigation"><xsl:value-of select="@href"/></ref>
          </link>
        </xsl:if>
      </xsl:for-each>
    </xsl:when>

    <xsl:otherwise>
      <!-- Empty results page. Show error message. -->
      <textarea>
        <label>
          <xsl:value-of select="//div[@id='results-main-content']/div"/>
        </label>
      </textarea>
    </xsl:otherwise>
  </xsl:choose>

</wvmenu>
</xsl:template>

</xsl:stylesheet>
